/**
 * Gestion des albums dans l'espace privé.
 *
 * - Formulaire ajouter_album : gestion onglets + bouton parcourir
 * - Albums dans modale : gestion bouton choisir
 */
function albums_edit() {

	// Formulaire d'ajout :
	// - Gestion du menu
	// - Ouverture de la modale
	$( ".formulaire_ajouter_album" ).each(function() {

		var
			$form          = $(this),
			id_form        = $form.attr("id"),
			$menu          = $form.find("[role=tablist]"),
			$menu_items    = $menu.find("[role=tab]"),
			$panneaux      = $form.find("[role=tabpanel]"),
			$btn_parcourir = $form.find("[name=parcourir_albums]"),
			$btn_choisir   = $form.find("[name=choisir_album]");

		// Activer un onglet
		function toggle_onglet($item, animation = true) {
			var $panneau_cible = $("#" + $item.attr("aria-controls"));
			var vitesse = (animation ? 150 : 0);
			if (
				$item.length > 0
				&& $panneau_cible.length > 0
			) {
				// Toggle du menu
				$item.addClass("on").attr("aria-selected", "true").attr("tabindex", 0);
				$menu_items.not($item).removeClass("on").attr("aria-selected", "false").attr('hidden', true).attr("tabindex", -1);
				// Afficher/masquer les panneaux
				$panneaux.not($panneau_cible).fadeOut(vitesse, function () {
					$panneau_cible.fadeIn(vitesse).removeAttr("hidden");
					$panneau_cible.find("input").eq(0).focus();
				}).attr("hidden", "");
			}
		}
		// Activer le 1er onglet au démarrage
		if ($menu_items.length > 1) {
			toggle_onglet($menu_items.filter('[aria-selected=true]'), false);
		}
		// Activer un onglet au clic
		$menu_items.click(function( event ) {
			event.preventDefault();
			toggle_onglet($(this));
			return false;
		});

		// Gestion du bouton pour parcourir les albums
		$btn_parcourir.on("click", function( event ) {
			var
				$btn = $(this),
				url_modale = $btn.data("url_modale");
			// event.preventDefault();
			if (!$btn.data("modale_ouverte")) {
				$btn.data("modale_ouverte", true);
				$.modalboxload(
					url_modale,
					{
						autoResize: true,
						onClose: function() {
							$btn.data("modale_ouverte", false);
						}
					}
				);
			}
		});

	});

	// Modales :
	// - Gestion du clic sur le bouton choisir
	$( ".box_album [name=choisir]" ).each(function() {
		$(this).click(function( event ) {
			var
				id_album       = $(this).data("id_album"),
				$form          = $("#" + $(this).data("form")),
				$input         = $form.find("[name=ids_albums_associer]"),
				$btn_parcourir = $form.find("[name=parcourir_albums]"),
				ids            = $input.val().split(",");

				ids.push(id_album);
				var valeur = ids.filter(String).join();

				$input.val(valeur).focus();
				$.modalboxclose();
				$btn_parcourir.data("modale_ouverte", false);

		});
	});
}

/* Initialisation et relance en cas de chargement ajax */
if (window.jQuery) {
	jQuery(function($){
		if (!$.js_albums_charge) {
			$.js_albums_charge = true;
			albums_edit();
			onAjaxLoad(albums_edit);
		}
	});
}